/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
ServerEvents.recipes(e => 
{
    e.remove({ id: 'flopper:recipes/flopper'})
    e.remove({ id: 'tiab:time_in_a_bottle'})
    e.remove({ id: 'pipez:basic_upgrade'})
    e.remove({ id: 'toms_storage:wireless_terminal'})
    e.remove({ id: 'toms_storage:adv_wireless_terminal'})
    e.remove({ id: 'hostilenetworks:living_matter/extraterrestrial/nether_star'})
    e.remove({ id: 'hostilenetworks:living_matter/hellish/blaze_rod'})
    e.remove({ id: 'bigreactors:crafting/yellorium_component_to_storage'})
    e.remove({ id: 'bigreactors:crafting/yellorium_ingot_to_nugget'})
    e.remove({ id: 'ironjetpacks:platinum_cell'})
    e.remove({ id: 'ironjetpacks:platinum_thruster'})
    e.remove({ id: 'ironjetpacks:platinum_capacitor'})
    e.remove({ id: 'ironjetpacks:platinum_jetpack'})

    e.replaceInput({ id: 'toms_storage:storage_terminal'}, 'minecraft:comparator', 'minecraft:crafting_table')
    e.replaceInput({ id: 'toms_storage:storage_terminal'}, 'minecraft:glowstone', 'minecraft:redstone')

    e.shapeless("minecraft:oak_planks", "2x minecraft:oak_slab").id('haven:oak_planks')
    e.shapeless("minecraft:spruce_planks", "2x minecraft:spruce_slab").id('haven:spruce_planks')
    e.shapeless("minecraft:birch_planks", "2x minecraft:birch_slab").id('haven:birch_planks')
    e.shapeless("minecraft:jungle_planks", "2x minecraft:jungle_slab").id('haven:jungle_planks')
    e.shapeless("minecraft:acacia_planks", "2x minecraft:acacia_slab").id('haven:acacia_planks')
    e.shapeless("minecraft:dark_oak_planks", "2x minecraft:dark_oak_slab").id('haven:dark_oak_planks')
    e.shapeless("minecraft:mangrove_planks", "2x minecraft:mangrove_slab").id('haven:mangrove_planks')
    e.shapeless("minecraft:crimson_planks", "2x minecraft:crimson_slab").id('haven:crimson_planks')
    e.shapeless("minecraft:warped_planks", "2x minecraft:warped_slab").id('haven:warped_planks')

    e.shaped("4x minecraft:chest", ["LLL","L L","LLL"], {L:"#minecraft:logs"}).id('haven:log_to_chest').id('haven:chest')
    e.shaped("16x minecraft:stick", ["L","L"], {L:"#minecraft:logs"}).id('haven:log_to_stick')
    e.shaped("2x minecraft:string", ["G G"," G ", "G G"], {G:"minecraft:grass"}).id('haven:grass_to_string')
    e.shapeless("4x minecraft:clay_ball", "minecraft:clay").id('haven:clay_to_ball')
    e.shapeless("minecraft:flint", "3x minecraft:gravel").id('haven:flint')
    e.shaped('minecraft:bell', ['GGG','GSG'], {G: 'minecraft:gold_ingot', S: 'minecraft:stick'}).id('haven:bell')
    e.shapeless("9x minecraft:copper_ingot", "minecraft:copper_block").id('haven:copper_block')
    e.shaped('minecraft:name_tag', [' PS',' P ','P  '], {P: 'minecraft:paper', S: 'minecraft:string'}).id('haven:name_tag')

    e.shaped(Item.of('minecraft:sponge', 1),['CSC','SWS','CSC'],{W: '#minecraft:wool',S: 'minecraft:prismarine_shard',C: 'minecraft:prismarine_crystals'}).id('haven:sponge')
    e.shaped(Item.of('minecraft:turtle_egg', 1),['SGS','SBS','SGS'],{S: 'minecraft:scute', G: 'minecraft:seagrass',B: 'minecraft:water_bucket'}).id('haven:turtle_egg')
    e.shaped(Item.of('minecraft:andesite', 3),[' C ','CQC',' C '],{C: 'minecraft:cobblestone', Q: 'minecraft:quartz'}).id('haven:andesite_alt')
    e.shaped(Item.of('pipez:basic_upgrade', 1),['ISI','SRS','ISI'],{R: 'minecraft:redstone_block', S: '#forge:ingots/steel',I: 'minecraft:iron_ingot'}).id('haven:basic_upgrade')
    e.shaped('flopper:flopper', ['   ','PBP', ' P '], {B: 'minecraft:clay', P: 'exdeorum:porcelain_clay_ball'}).id('haven:flopper')
    e.shaped('minecraft:blaze_rod', ['BB ','BB ', 'BB '], {B: 'minecraft:blaze_powder'}).id('haven:blaze_rod')

    e.shaped('kubejs:haven_soil',['EEE','EFE','EEE'],{E: 'havenalchemy:eternium_spirit_block',F: 'minecraft:farmland'}).id('haven:haven_soil')

    e.shaped('minecraft:dragon_head', ['AAA','BPB','AAA'],{
        A: 'hostilenetworks:end_prediction',
        P: Item.of('hostilenetworks:prediction', '{data_model:{ id:"hostilenetworks:ender_dragon"}}').strongNBT(),
        B: 'minecraft:dragon_breath'
    })

    e.shaped('tiab:time_in_a_bottle', ['GGG','TCT','LBL'], {G: 'minecraft:gold_ingot', T: 'minecraft:diamond', C: 'minecraft:clock', L: 'createhaven:lapis_dust', B: 'minecraft:glass_bottle'}).id('haven:time_in_a_bottle')
})
